package cn.iocoder.yudao.module.reward.controller.admin.job;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.module.reward.util.RewardGenCodeUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 兑换记录编号刷新任务
 * @author zhaobiyan
 */
@Component
@Slf4j
public class RedemptionNumberFlushTask implements JobHandler {

    @Resource
    private RewardGenCodeUtils rewardGenCodeUtils;

    @Override
    public String execute(String param) throws Exception {
        rewardGenCodeUtils.redemptionNumberFlush();
        return "success";
    }
}