package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.Map;

@Data
@Builder
public class RecordInfoImportRespVO {
    @ApiModelProperty(value = "导入失败的信息集合", required = true, notes = "key 为兑换id，value 为失败原因")
    private Map<String, String> redeemIdFailedMap;

    public RecordInfoImportRespVO() {
    }

    public RecordInfoImportRespVO(Map<String, String> redeemIdFailedMap) {
        this.redeemIdFailedMap = redeemIdFailedMap;
    }
}
