package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class RewardRedeemUpdateReqVO {
    @NotNull(message = "id is not null")
    @ApiModelProperty(value = "id")
    private Long id;
    @NotNull(message = "redeemType is not null")
    @ApiModelProperty(value = "兑换方式")
    private Integer redeemType;
    @ApiModelProperty(value = "费用")
    private BigDecimal expenses;
    @ApiModelProperty(value = "币种")
    private Integer currency;
    /**
     * 收件人姓名
     */
    @NotNull(message = "recipientName is not null")
    @ApiModelProperty(value = "收件人姓名")
    private String recipientName;
    /**
     * 收件人电话
     */
    @NotNull(message = "recipientPhoneNum is not null")
    @ApiModelProperty(value = "收件人电话")
    private String recipientPhoneNum;
    /**
     * 收件人地址
     */
    @ApiModelProperty(value = "收件人地址")
    private String recipientAddress;
    /**
     * 兑换人
     */
    @ApiModelProperty(value = "兑换人")
    private String redeemer;
    /**
     * 兑换时间
     */
    @ApiModelProperty(value = "兑换时间")
    private Date redemptionTime;
    /**
     * 快递公司
     */
    @ApiModelProperty(value = "快递公司")
    private String courierCompany;
    /**
     * 快递单号
     */
    @ApiModelProperty(value = "快递单号")
    private String expressNo;
    /**
     * 快递日期
     */
    @ApiModelProperty(value = "快递日期")
    private String expressDate;
    /**
     * 快递寄出人
     */
    @ApiModelProperty(value = "快递寄出人")
    private String expressSender;
    /**
     * 上传附件
     */
    @ApiModelProperty(value = "上传附件")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
