package cn.iocoder.yudao.module.reward.controller.app.reward.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 礼品列表 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("客户端 - 礼品列表 Response VO")
public class AppRewardListBackVO {
    @ApiModelProperty(value = "国家id，为了区分根据什么条件查得礼品")
    private Long country;
    @ApiModelProperty(value = "城市id，为了区分根据什么条件查得礼品")
    private Long city;
    @ApiModelProperty(value = "礼品列表")
    private List<AppRewardBackVO> list;
}
