package cn.iocoder.yudao.module.reward.controller.app.reward.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("客户端 - 礼品列表 Req VO")
public class AppRewardListReqVO {
    @ApiModelProperty(value = "会员id", required = true)
    @NotNull(message = "会员id不能为空")
    private Long memberId;
    @ApiModelProperty(value = "网点")
    private Long nodeId;
}
