package cn.iocoder.yudao.module.reward.dto;

import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
public class RewardRedeemVerifyDTO {

    private Long id;

    private Integer status;

    private Integer redeemType;

    private BigDecimal expense;

    private Integer currency;

    private Long courierCompany;
    /**
     * 收件人地址
     */
    private String recipientAddress;
    /**
     * 快递单号
     */
    private String expressNo;
    /**
     * 快递日期
     */
    private Date expressDate;
    /**
     * 快递寄出人
     */
    private String expressSender;
}
