package cn.iocoder.yudao.module.reward.vo.reward;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false)
public class RedeemInfoImportExcelVO {
    @ExcelProperty("兑换记录ID/Redeem ID")
    private String id;
    @ExcelProperty("兑换方式/Redeem Method")
    private String redeemType;
    @ExcelProperty("费用/fee")
    private BigDecimal expenses;
    @ExcelProperty("币种/Currency")
    private String currency;
    @ExcelProperty("快递公司/Express")
    private String courierCompany;
    @ExcelProperty("快递单号/Express NO")
    private String expressNo;
    @ExcelProperty(value = "快递日期/Delivery Date")
    private String expressDate;
    @ExcelProperty("快递寄出人/Sender")
    private String expressSender;
    @ExcelProperty("备注/Remark")
    private String remark;
}
