package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class RewardRedeemVerifyReqVO {
    @NotNull(message = "id is not null")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 收件人姓名
     */
    @NotNull(message = "recipientName is not null")
    @ApiModelProperty(value = "收件人姓名")
    private String recipientName;
    /**
     * 收件人电话
     */
    @NotNull(message = "recipientPhoneNum is not null")
    @ApiModelProperty(value = "收件人电话")
    private String recipientPhoneNum;

    @ApiModelProperty(value = "快递公司")
    private Long courierCompany;
    /**
     * 收件人地址
     */
    @ApiModelProperty(value = "收件人地址")
    private String recipientAddress;
    /**
     * 快递单号
     */
    @ApiModelProperty(value = "快递单号")
    private String expressNo;
    /**
     * 快递日期
     */
    @ApiModelProperty(value = "快递日期")
    private Date expressDate;
    /**
     * 快递寄出人
     */
    @ApiModelProperty(value = "快递寄出人")
    private String expressSender;
    /**
     * 核销人
     */
    @ApiModelProperty(value = "核销人")
    @NotNull(message = "verifyUser is not null")
    private String verifyUser;
    /**
     * 核销时间
     */
    @NotNull(message = "verify time  is not null")
    @ApiModelProperty(value = "核销时间")
    private Date verifyTime;
}
