package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("管理后台 - 礼品状态更新 VO")
public class RewardStatusReqVO {
    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "礼品状态（1已启用，2未启用，3已关闭，4已过期）")
    @NotNull(message = "礼品状态不能为空")
    private Integer status;
}
